Package: org.codehaus.groovy.antlr

## [Java] Class GroovySourceToken

- org.codehaus.groovy.antlr.GroovySourceToken

- All Implemented Interfaces and Traits:
    SourceInfo

      public class GroovySourceToken
      extends Token

  This is a Token sub class to track line information

  Authors:
    Jochen Theodorou

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected int` | `col` |
    `protected int` | `colLast` |
    `protected int` | `line` |
    `protected int` | `lineLast` |
    `protected String` | `text` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Token` | `MIN_USER_TYPE, NULL_TREE_LOOKAHEAD, INVALID_TYPE, EOF_TYPE, SKIP, badToken`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovySourceToken (int t)` Constructor using a token type

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `getColumn()`
    `` | `int` | `getColumnLast()`
    `` | `int` | `getLine()`
    `` | `int` | `getLineLast()`
    `` | `String` | `getText()` get the source token text
    `` | `void` | `setColumn(int c)`
    `` | `void` | `setColumnLast(int colLast)`
    `` | `void` | `setLine(int l)`
    `` | `void` | `setLineLast(int lineLast)`
    `` | `void` | `setText(String s)` set the source token text
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Token` | `toString, getType, setType, getFilename, getText, setText, getColumn, getLine, setFilename, setLine, setColumn, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected int col

    - #### protected int colLast

    - #### protected int line

    - #### protected int lineLast

    - #### protected String text

  - ### Constructor Detail

    - #### public GroovySourceToken(int t)

      Constructor using a token type

      Parameters:
        `t` - the type

  - ### Method Detail

    - #### public int getColumn()

    - #### public int getColumnLast()

    - #### public int getLine()

    - #### public int getLineLast()

    - #### public String getText()

      get the source token text

      Returns:
        the source token text

    - #### public void setColumn(int c)

    - #### public void setColumnLast(int colLast)

    - #### public void setLine(int l)

    - #### public void setLineLast(int lineLast)

    - #### public void setText(String s)

      set the source token text

      Parameters:
        `s` - the text

    - #### public String toString()